## pidgin-facebookchat 1.64

=== Makefile ===
--- 
+++ 
@@ -13,35 +13,37 @@
 GLIB_CFLAGS = -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include -I/usr/local/include/glib-2.0 -I/usr/local/lib/glib-2.0/include -I/usr/local/include -I/usr/include/json-glib-1.0 -ljson-glib-1.0
 WIN32_DEV_DIR = /root/pidgin/win32-dev
 WIN32_PIDGIN_DIR = /root/pidgin/pidgin-2.3.0_win32
-WIN32_CFLAGS = -I${WIN32_DEV_DIR}/gtk_2_0/include/glib-2.0 -I${WIN32_PIDGIN_DIR}/libpurple/win32 -I${WIN32_DEV_DIR}/gtk_2_0/include -I${WIN32_DEV_DIR}/gtk_2_0/include/glib-2.0 -I${WIN32_DEV_DIR}/gtk_2_0/lib/glib-2.0/include -I/usr/include/json-glib-1.0
+WIN32_CFLAGS = -I${WIN32_DEV_DIR}/gtk_2_0/include/glib-2.0 -I${WIN32_PIDGIN_DIR}/libpurple/win32 -I${WIN32_DEV_DIR}/gtk_2_0/include -I${WIN32_DEV_DIR}/gtk_2_0/include/glib-2.0 -I${WIN32_DEV_DIR}/gtk_2_0/lib/glib-2.0/include -I/usr/include/json-glib-1.0 -Wno-format
 WIN32_LIBS = -L${WIN32_DEV_DIR}/gtk_2_0/lib -L${WIN32_PIDGIN_DIR}/libpurple -lglib-2.0 -lgobject-2.0 -lintl -lpurple -lws2_32 -L. -ljson-glib-1.0 -lzlib1
 MACPORT_CFLAGS = -I/opt/local/include/libpurple -DPURPLE_PLUGINS -DENABLE_NLS -DHAVE_ZLIB -I/opt/local/include/glib-2.0 -I/opt/local/lib/glib-2.0/include -I/opt/local/include -I/opt/local/include/json-glib-1.0 -arch i386 -arch ppc -dynamiclib -L/opt/local/lib -ljson-glib-1.0 -lpurple -lglib-2.0 -lgobject-2.0 -lintl -lz -isysroot /Developer/SDKs/MacOSX10.4u.sdk -mmacosx-version-min=10.4
 
 DEB_PACKAGE_DIR = ./debdir
 
 FACEBOOK_SOURCES = \
+	libfacebook.c \
+	fb_blist.c \
+	fb_connection.c \
+	fb_conversation.c \
+	fb_info.c \
+	fb_managefriends.c \
+	fb_messages.c \
+	fb_notifications.c \
+	fb_search.c \
+	fb_util.c \
+	fb_friendlist.c \
+	fb_json.c \
 	libfacebook.h \
-	libfacebook.c \
 	fb_blist.h \
-	fb_blist.c \
 	fb_connection.h \
-	fb_connection.c \
 	fb_conversation.h \
-	fb_conversation.c \
 	fb_info.h \
-	fb_info.c \
 	fb_managefriends.h \
-	fb_managefriends.c \
 	fb_messages.h \
-	fb_messages.c \
 	fb_notifications.h \
-	fb_notifications.c \
 	fb_search.h \
-	fb_search.c \
 	fb_util.h \
-	fb_util.c \
 	fb_friendlist.h \
-	fb_friendlist.c
+	fb_json.h
 
 #Standard stuff here
 .PHONY:	all clean install sourcepackage
