## pidgin-facebookchat 1.67.1

=== Makefile ===
--- 
+++ 
@@ -3,11 +3,12 @@
 LINUX64_COMPILER = x86_64-pc-linux-gnu-gcc
 WIN32_COMPILER = /usr/bin/i586-mingw32-gcc
 WIN32_WINDRES = i586-mingw32-windres
+WIN32_OBJCOPY = i586-mingw32-objcopy
 #LINUX_ARM_COMPILER = arm-pc-linux-gnu-gcc
 LINUX_ARM_COMPILER = arm-none-linux-gnueabi-gcc
 LINUX_PPC_COMPILER = powerpc-unknown-linux-gnu-gcc
 FREEBSD60_COMPILER = i686-pc-freebsd6.0-gcc
-MACPORT_COMPILER = i686-apple-darwin9-gcc-4.0.1
+MACPORT_COMPILER = i686-apple-darwin10-gcc-4.0.1
 
 LIBPURPLE_CFLAGS = -I/usr/include/libpurple -I/usr/local/include/libpurple -DPURPLE_PLUGINS -DENABLE_NLS -DHAVE_ZLIB
 GLIB_CFLAGS = -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include -I/usr/local/include/glib-2.0 -I/usr/local/lib/glib-2.0/include -I/usr/local/include -I/usr/include/json-glib-1.0 -ljson-glib-1.0
@@ -16,6 +17,7 @@
 WIN32_CFLAGS = -I${WIN32_DEV_DIR}/gtk_2_0/include/glib-2.0 -I${WIN32_PIDGIN_DIR}/libpurple/win32 -I${WIN32_DEV_DIR}/gtk_2_0/include -I${WIN32_DEV_DIR}/gtk_2_0/include/glib-2.0 -I${WIN32_DEV_DIR}/gtk_2_0/lib/glib-2.0/include -I/usr/include/json-glib-1.0 -Wno-format
 WIN32_LIBS = -L${WIN32_DEV_DIR}/gtk_2_0/lib -L${WIN32_PIDGIN_DIR}/libpurple -lglib-2.0 -lgobject-2.0 -lintl -lpurple -lws2_32 -L. -ljson-glib-1.0 -lzlib1
 MACPORT_CFLAGS = -I/opt/local/include/libpurple -DPURPLE_PLUGINS -DENABLE_NLS -DHAVE_ZLIB -I/opt/local/include/glib-2.0 -I/opt/local/lib/glib-2.0/include -I/opt/local/include -I/opt/local/include/json-glib-1.0 -arch i386 -arch ppc -dynamiclib -L/opt/local/lib -ljson-glib-1.0 -lpurple -lglib-2.0 -lgobject-2.0 -lintl -lz -isysroot /Developer/SDKs/MacOSX10.4u.sdk -mmacosx-version-min=10.4
+PIDGIN_DIR = /root/pidgin/pidgin-2.7.0
 
 DEB_PACKAGE_DIR = ./debdir
 
@@ -43,7 +45,7 @@
 	fb_search.h \
 	fb_util.h \
 	fb_friendlist.h \
-	fb_json.h
+	fb_json.h 
 
 #Standard stuff here
 .PHONY:	all clean install sourcepackage
@@ -65,8 +67,14 @@
 	rm -f libfacebook.so libfacebook.dll libfacebook64.so libfacebookarm.so libfacebookppc.so pidgin-facebookchat.exe pidgin-facebookchat.deb pidgin-facebookchat.tar.bz2 pidgin-facebookchat-source.tar.bz2
 	rm -rf pidgin-facebookchat
 
+libfacebook.macport.so: ${FACEBOOK_SOURCES}
+	${MACPORT_COMPILER} ${MACPORT_CFLAGS} -Wall -I. -g -O2 -pipe ${FACEBOOK_SOURCES} -o libfacebook.macport.so -shared
+
 libfacebook.so:	${FACEBOOK_SOURCES}
 	${LINUX32_COMPILER} ${LIBPURPLE_CFLAGS} -Wall ${GLIB_CFLAGS} -I. -g -O2 -pipe ${FACEBOOK_SOURCES} -o libfacebook.so -shared -fPIC -DPIC
+
+libfacebookxmpp.so:	libfbxmpp.c ${FACEBOOK_SOURCES}
+	${LINUX32_COMPILER} ${LIBPURPLE_CFLAGS} -Wall ${GLIB_CFLAGS} -I. -g -O2 -pipe libfbxmpp.c ${FACEBOOK_SOURCES} -o libfacebookxmpp.so -shared -fPIC -DPIC -I$(PIDGIN_DIR)/libpurple/protocols/jabber/ -lxml2 -I/usr/include/libxml2
 
 libfacebookarm.so:	${FACEBOOK_SOURCES}
 	${LINUX_ARM_COMPILER} ${LIBPURPLE_CFLAGS} -Wall ${GLIB_CFLAGS} -I. -g -O2 -pipe ${FACEBOOK_SOURCES} -o libfacebookarm.so -shared -fPIC -DPIC
@@ -84,7 +92,10 @@
 	${WIN32_WINDRES} $< -O coff -o $@
 
 libfacebook.dll:	${FACEBOOK_SOURCES} pidgin-facebookchat.res
-	${WIN32_COMPILER} ${LIBPURPLE_CFLAGS} -Wall -I. -g -O2 -pipe ${FACEBOOK_SOURCES} pidgin-facebookchat.res -o $@ -shared -mno-cygwin ${WIN32_CFLAGS} ${WIN32_LIBS} -Wl,--strip-all
+	${WIN32_COMPILER} ${LIBPURPLE_CFLAGS} -Wall -I. -g -O2 -pipe ${FACEBOOK_SOURCES} pidgin-facebookchat.res -o $@ -shared -mno-cygwin ${WIN32_CFLAGS} ${WIN32_LIBS}
+	${WIN32_OBJCOPY} --only-keep-debug $@ $@.dbg
+	${WIN32_OBJCOPY} --strip-debug $@
+	${WIN32_OBJCOPY} --add-gnu-debuglink=$@.dbg $@
 	upx libfacebook.dll
 
 libfacebook-debug.dll:	${FACEBOOK_SOURCES} pidgin-facebookchat.res
