=== debian/changelog ===
pidgin-facebookchat (1.67.1-1) unstable; urgency=low

  * New upstream release.
    - v1.67: + Plugin works with new 'Account Security'/'device
             login'/'register your computer' login security feature 
    - v1.66: + Fix for crash on account creation
             + Fix for status messages showing as "like/unlike" rather 
             than the status message 
  * Switch to dpkg-source format 3.0 (quilt).
  * Remove quilt from control, rules.
  * Remove README.source.
  * Fix watch file by using googlecode.debian.net.  Closes: #581618.

 -- Iulian Udrea <iulian@ubuntu.com>  Tue, 01 Jun 2010 16:44:09 +0100

pidgin-facebookchat (1.65-1) unstable; urgency=low

  * New upstream release.
    + Fix for new buddy icons being too small
    + Download all buddies at startup, not just online ones 
  * debian/control:
    - Bump Standards-Version to 3.8.4 (no changes required).
    - DM-Upload-Allowed: yes

 -- Iulian Udrea <iulian@ubuntu.com>  Mon, 01 Mar 2010 19:02:22 +0000

pidgin-facebookchat (1.64-1) unstable; urgency=low

  * New upstream release (Closes: #561673).
    + Fix some friend requests not going away
    + Fix buddy icons not working for some people
    + Fix for logging out of browser while using plugin
    + Fix for buddies with hearts in their status messages
    + Fix for 'Get Info' screen not working (and eating up CPU)
  * debian/control:
    - Add missing ${misc:Depends}.

 -- Iulian Udrea <iulian@ubuntu.com>  Wed, 27 Jan 2010 17:28:15 +0000

pidgin-facebookchat (1.63-1) unstable; urgency=low

  * New upstream release (Closes: #556528).
    + Fix buddy icons not downloading for some people
    + FB inbox message count shows in buddy list again
    + Fix for status messages not downloading
    + Fix for accepting/rejecting/adding buddies
  * debian/control:
    - Add myself to Uploaders.

 -- Iulian Udrea <iulian@ubuntu.com>  Mon, 16 Nov 2009 21:52:11 +0000

pidgin-facebookchat (1.62-0.1) unstable; urgency=low

  * Non-maintainer upload; acknowledged by maintainer.
  * New upstream release (Closes: #554578).
    + Fix for captcha causing crashes on Windows (the new captcha 
      doesn't work though)
    + Fix for not getting buddy list/logging out issues/protocol changes
    + Only complain about not being able to fetch buddy list after 
      3 attempts 
  * debian/control:
    - Bump Standards-Version to 3.8.3; no changes required.
  * Add debian/README.source.
  * Fix debian/watch.  Thanks Pablo Castellano for the patch 
    (Closes: #550363).

 -- Iulian Udrea <iulian@ubuntu.com>  Thu, 05 Nov 2009 14:43:23 +0000

pidgin-facebookchat (1.61-1.1) unstable; urgency=low

  * Non-maintainer upload; acknowledged by maintainer.
  * New upstream release (Closes: #548904).

 -- Iulian Udrea <iulian@ubuntu.com>  Sun, 04 Oct 2009 11:10:46 +0100

pidgin-facebookchat (1.60-1.1) unstable; urgency=low

  * Non-maintainer upload; acknowledged by maintainer.
  * New upstream release (LP: #402988).
  * debian/patches:
    - Drop 02_fix_facebook_changes_to_icons.diff; applied upstream.

 -- Iulian Udrea <iulian@ubuntu.com>  Wed, 22 Jul 2009 13:53:26 +0100

pidgin-facebookchat (1.54-2) unstable; urgency=low

  * debian/control: Updated Standard-Version to 3.8.2.
  * Added debian/patches/02_fix_facebook_changes_to_icons.diff: Facebook
    changed their server's layout thereby breaking support for
    pidgin-facebookchat's buddy icon system. This patch fixes this (Closes:
    #536642, LP: #398412).

 -- Jonathan Davies <jpds@ubuntu.com>  Sun, 12 Jul 2009 12:45:37 +0100

pidgin-facebookchat (1.54-1) unstable; urgency=low

  [ Nick Andrik ]
  * New upstream release (LP: #379721, Closes: #525288).
  * Remaining changes
    - debian/patches/01_makefile_changes.diff : Makefile changes.
  * debian/control: Added libjson-glib-dev and zlib1g-dev to Build-Depends.

  [ Jonathan Davies ]
  * Various crashes fixed in new release (LP: #358043).
  * debian/control: Added pidgin and finch to Suggests lines so the user has
    an idea about what to install with plugin (Closes: #512694).
  * debian/rules: Replaced dh_clean with dh_prep to silence Lintian over
    obsoleted flags.

 -- Jonathan Davies <jpds@ubuntu.com>  Wed, 8 Jul 2009 10:38:30 +0100

pidgin-facebookchat (1.47-1) unstable; urgency=low

  * New upstream release.
  * Shorten my name everywhere.

 -- Jonathan Davies <jpds@ubuntu.com>  Thu, 25 Dec 2008 15:06:13 +0000

pidgin-facebookchat (1.44-1) unstable; urgency=low

  * New upstream release (Closes: #508801).

 -- Jonathan Patrick Davies <jpds@ubuntu.com>  Tue, 16 Dec 2008 13:37:42 +0000

pidgin-facebookchat (1.42-1) unstable; urgency=low

  * New upstream release.
    - Stability improvements reported in upstream changelog (Closes: #506101).
  * Added description to patch 01_makefile_changes.diff to silence Lintian
    warning.
  * debian/control: Added explicit dependency on version 2.3.0 of libpurple0 to
    binary package stanza.

 -- Jonathan Patrick Davies <jpds@ubuntu.com>  Thu, 04 Dec 2008 20:12:24 +0000

pidgin-facebookchat (1.39-1) unstable; urgency=low

  * New upstream release.

 -- Jonathan Patrick Davies <jpds@ubuntu.com>  Sun, 30 Nov 2008 10:35:34 +0000

pidgin-facebookchat (1.38-2) unstable; urgency=low

  * Added debian/watch file for Debian External Health Status. 

 -- Jonathan Patrick Davies <jpds@ubuntu.com>  Sun, 16 Nov 2008 14:40:58 +0000

pidgin-facebookchat (1.38-1) unstable; urgency=low

  * New upstream release (Closes: #504117).
  * Updated dependency of debhelper and compat level to version 7.

 -- Jonathan Patrick Davies <jpds@ubuntu.com>  Tue, 04 Nov 2008 21:33:02 +0000

pidgin-facebookchat (1.35-1) unstable; urgency=low

  * Initial release (Closes: #497698).

 -- Jonathan Patrick Davies <jpds@ubuntu.com>  Wed, 03 Sep 2008 15:20:24 +0100
