=== debian/control ===
Source: pidgin-facebookchat
Section: net
Priority: optional
Maintainer: Jonathan Davies <jpds@ubuntu.com>
Uploaders: Iulian Udrea <iulian@ubuntu.com>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 7.0.50), libglib2.0-dev, libpurple-dev, libjson-glib-dev, zlib1g-dev
Standards-Version: 3.8.4
Homepage: http://code.google.com/p/pidgin-facebookchat/

Package: pidgin-facebookchat
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libpurple0 (>= 2.3.0), libjson-glib-1.0-0, zlib1g
Description: Facebook Chat plugin for Pidgin
 This is a Facebook chat plugin for Pidgin and libpurple messengers. It connects
 to the new Facebook Chat IM service without the need for an API key.
 .
 Currently the plugin can log into the Facebook servers, grab the buddy list,
 send/receive messages, add/remove friends, receive notifications, search for
 Facebook friends and set your Facebook status.
