## pidgin-facebookchat 1.69

=== Makefile ===
--- 
+++ 
@@ -34,6 +34,7 @@
 	fb_util.c \
 	fb_friendlist.c \
 	fb_json.c \
+	fb_chat.c \
 	libfacebook.h \
 	fb_blist.h \
 	fb_connection.h \
@@ -45,7 +46,8 @@
 	fb_search.h \
 	fb_util.h \
 	fb_friendlist.h \
-	fb_json.h 
+	fb_json.h \
+	fb_chat.h
 
 #Standard stuff here
 .PHONY:	all clean install sourcepackage
