=== debian/changelog ===
pidgin-facebookchat (1.69-2ubuntu1) natty; urgency=low

  * Sync on Debian (LP: #712907)
  * Add epoch to pidgin-data dependency since our pidgin package has an epoch
    - update debian/control 

 -- Micah Gersten <micahg@ubuntu.com>  Fri, 04 Feb 2011 12:11:23 -0600

pidgin-facebookchat (1.69-2) unstable; urgency=low

  * Do not provide facebook.png.  Closes: #609168.
  * Depend on pidgin-data >= 2.7.9-1.

 -- Iulian Udrea <iulian@ubuntu.com>  Thu, 03 Feb 2011 12:42:33 +0000

pidgin-facebookchat (1.69-1) experimental; urgency=low

  * New upstream release.
    + Buddy list not shown (everyone falsely shown as offline).  
    Closes: #605755.  Thanks Chow Loong Jin for reporting it.
    - v1.68: + Support for new group chats
             + Fix for setting status messages
             + Fix for when FB chat is down for maintenance

 -- Iulian Udrea <iulian@ubuntu.com>  Fri, 03 Dec 2010 20:41:40 +0000
