=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 Package: pidgin-facebookchat
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libpurple0 (>= 2.3.0), libjson-glib-1.0-0, zlib1g
+Depends: ${shlibs:Depends}, ${misc:Depends}, pidgin-data (>= 1:2.7.9-1), libpurple0 (>= 2.3.0), libjson-glib-1.0-0, zlib1g
 Description: Facebook Chat plugin for Pidgin
  This is a Facebook chat plugin for Pidgin and libpurple messengers. It connects
  to the new Facebook Chat IM service without the need for an API key.
