=== debian/rules ===
#!/usr/bin/make -f
#
# debian/rules file for the pidgin-facebookchat plugin.
#

build: build-stamp

build-stamp:
	dh_testdir
	$(MAKE) libfacebook.so
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	[ ! -f Makefile ] || $(MAKE) clean
	dh_clean build-stamp

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) pidgin-facebookchat.deb DEB_PACKAGE_DIR=$(CURDIR)/debian/pidgin-facebookchat

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_install
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
